﻿Public Class Form1

    Dim dtComponent, dtGrid As DataTable

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        CreateComponentData()
        SetUpComponentCombo()
        CreateGridData()
        UltraGrid1.DataSource = dtGrid
    End Sub
    Private Sub CreateComponentData()
        dtComponent = New DataTable
        dtComponent.Columns.Add("Number", GetType(Integer))
        dtComponent.Columns.Add("Name", GetType(String))

        dtComponent.Rows.Add(New Object() {1000001, "a dfearte"})
        dtComponent.Rows.Add(New Object() {1000002, "b dfearte"})
        dtComponent.Rows.Add(New Object() {1000003, "c adfearte"})
        dtComponent.Rows.Add(New Object() {1000004, "d adfearte"})
        dtComponent.Rows.Add(New Object() {1000005, "e adfearte"})
        dtComponent.Rows.Add(New Object() {1000006, "f adfearte"})
        dtComponent.Rows.Add(New Object() {1000007, "g adfearte"})
        dtComponent.Rows.Add(New Object() {1000008, "h adfearte"})
        dtComponent.Rows.Add(New Object() {1000009, "i adfearte"})
        dtComponent.Rows.Add(New Object() {10000010, "j adfearte"})
    End Sub

    Private Sub CreateGridData()
        dtGrid = New DataTable
        dtGrid.Columns.Add("Number", GetType(Integer))
        dtGrid.Columns.Add("Name", GetType(String))

        dtGrid.Rows.Add(New Object() {1000001, "a dfearte"})
        dtGrid.Rows.Add(New Object() {1000002, "b dfearte"})
        dtGrid.Rows.Add(New Object() {1000003, "c adfearte"})
        dtGrid.Rows.Add(New Object() {1000004, "d adfearte"})
        dtGrid.Rows.Add(New Object() {1000005, "e adfearte"})
        dtGrid.Rows.Add(New Object() {1000006, "f adfearte"})
        dtGrid.Rows.Add(New Object() {1000007, "g adfearte"})
        dtGrid.Rows.Add(New Object() {1000008, "h adfearte"})
        dtGrid.Rows.Add(New Object() {1000009, "i adfearte"})
        dtGrid.Rows.Add(New Object() {10000010, "j adfearte"})
    End Sub

    Private Sub SetUpComponentCombo()
        cmbComponents.ValueMember = "Number"
        cmbComponents.DisplayMember = "Name"
        cmbComponents.DataSource = New DataView(dtComponent, "", "Name", DataViewRowState.CurrentRows)
    End Sub

    Private Sub UltraGrid1_InitializeLayout(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout
        e.Layout.Bands(0).Columns("Name").ValueList = cmbComponents
        e.Layout.Bands(0).Columns("Name").Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownValidate

        e.Layout.Bands(0).Columns("Number").Hidden = True
    End Sub

    Private Sub cmbComponents_InitializeLayout(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles cmbComponents.InitializeLayout
        e.Layout.Bands(0).Columns("Number").Hidden = True
    End Sub
End Class
